MPI_Win_fromint(3)

NAME
MPI_Win_fromint - converts an integer handle to MPI_Win

SYNOPSIS
MPI_Win MPI_Win_fromint(int win)

INPUT PARAMETERS
win - win (integer)

THREAD AND INTERRUPT SAFETY
This routine is thread-safe. This means that this routine may be safely used by multiple threads without the need for any user-provided thread locks. However, the routine is not interrupt safe. Typically, this is due to the use of memory allocation routines such as malloc or other non-MPICH runtime routines that are themselves not interrupt-safe.